testing::internal2 Namespace Reference

## Classes

class | TypeWithoutFormatter
class | TypeWithoutFormatter< T, kConvertibleToInteger >
class | TypeWithoutFormatter< T, kProtobuf >

## Enumerations

enum | TypeKind { kProtobuf, kConvertibleToInteger, kOtherType }

## Functions

void | PrintBytesInObjectTo (const unsigned char *obj_bytes, size_t count, ostream *os)
GTEST_API_ void | PrintBytesInObjectTo (const unsigned char *obj_bytes, size_t count, ::std::ostream *os)
template<typename Char , typename CharTraits , typename T >
::std::basic_ostream< Char, CharTraits > & | operator<< (::std::basic_ostream< Char, CharTraits > &os, const T &x)

## Variables

const size_t | kProtobufOneLinerMaxLength = 50

## Enumeration Type Documentation

## TypeKind

enum testing::internal2::TypeKind

Enumerator
kProtobuf |
kConvertibleToInteger |
kOtherType |

Definition at line 8164 of file gtest.h.

## Function Documentation

## operator<<()

template<typename Char , typename CharTraits , typename T >

::std::basic_ostream<Char, CharTraits>& testing::internal2::operator<< | ( | ::std::basic_ostream< Char, CharTraits > & | os,
|  | const T & | x
| ) |  |

Definition at line 8261 of file gtest.h.

## PrintBytesInObjectTo() [1/2]

GTEST_API_ void testing::internal2::PrintBytesInObjectTo | ( | const unsigned char * | obj_bytes,
|  | size_t | count,
|  | ::std::ostream * | os
| ) |  |

## PrintBytesInObjectTo() [2/2]

void testing::internal2::PrintBytesInObjectTo | ( | const unsigned char * | obj_bytes,
|  | size_t | count,
|  | ostream * | os
| ) |  |

Definition at line 11112 of file gtest-all.cc.

## Variable Documentation

## kProtobufOneLinerMaxLength

const size_t testing::internal2::kProtobufOneLinerMaxLength = 50

Definition at line 8193 of file gtest.h.